/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_substr.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/28 18:53:44 by cchauvet          #+#    #+#             */
/*   Updated: 2022/10/04 19:16:16 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_substr(const char *s, unsigned int start, size_t len)
{
	size_t	max;
	char	*sub;

	if (s == NULL || !*s)
		return (NULL);
	max = ft_strlen(s);
	if (max > len)
		max = len;
	if (start >= ft_strlen(s))
		return (ft_strdup(""));
	sub = malloc((max + 1) * sizeof(char));
	if (sub == NULL)
		return (NULL);
	sub[max] = 0;
	while (max-- > 0)
		sub[max] = s[max + start];
	return (sub);
}
